/* export_sym.h
 *
 * librpminfo source code
 *
 * This library contains source code obtained from the RPM library (see
 * http://rpm.org/) which is licensed under the terms of the GNU Library
 * General Public License (version 2, June 1991).  It therefore contains
 * material whose copyright is owned by the developers of the RPM library.
 *
 * Modifications and additions made by David S. Peterson of BigFix, Inc.
 * <dave_peterson@bigfix.com>.
 * Modifications and additions Copyright (C) 2009 BigFix, Inc.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License, version 2 as
 * published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 * License, version 2 for more details.
 *
 * You should have received a copy of the GNU Library General Public License,
 * version 2 along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef export_sym_h
#define export_sym_h

/* With gcc versions prior to 4, we allow all nonstatic symbols to be exported.
 * Older versions of gcc don't understand the -fvisibility=hidden compiler
 * option or the "default" visibility setting.
 */
#if __GNUC__ >= 4
#define EXPORT_SYM __attribute__ ((visibility ("default")))
#else
#define EXPORT_SYM
#endif

#endif  // export_sym_h
